org.codehaus.plexus.util

## Class PropertyUtils

- java.lang.Object
- - org.codehaus.plexus.util.PropertyUtils

    public class PropertyUtils
    extends Object

Static methods to create Properties loaded from various sources.

Version:
  $Id$
Author:
  Jason van Zyl, Michal Maczka

### Constructor Summary

Constructors
Constructor and Description
`PropertyUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Properties` `loadProperties(File file)`
`static Properties` `loadProperties(InputStream is)`
`static Properties` `loadProperties(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyUtils

    public PropertyUtils()

### Method Detail

#### loadProperties

    public static Properties loadProperties(URL url)

#### loadProperties

    public static Properties loadProperties(File file)

#### loadProperties

    public static Properties loadProperties(InputStream is)